## pkg-perl-tools 0.53

=== debian/changelog ===
pkg-perl-tools (0.53) unstable; urgency=medium

  [ intrigeri ]
  * dpt new-upstream: add a --limit option.
  * ZSH completion: add support for dpt new-upstream's --limit option.
  * dpt new-upstream: don't output packages when the local released version in
    Git is greater or equal to the "new" upstream version UDD knows about.

  [ Clément Hermann ]
  * examples/check-build: if either duck or blhc isn't run because it's not
    installed, say so

  [ gregor herrmann ]
  * dpt-upstream-repo: add "|| true" to git fetch upstream-repo.
    Otherwise dpt-import-orig is broken when the configured repo goes away.

  [ intrigeri ]
  * Drop duplicate autopkgtest documentation.
    This was mostly a duplicate of the doc we have in autopkgtest.pod in
    salsa.debian.org:perl-team/perl-team.pages.debian.net.git
    a.k.a. https://perl-team.pages.debian.net/autopkgtest.html
  * Directly point to the canonical documentation for our autopkgtest
    setup.
  * dpt missing-upstream: migrate from Parse::DebianChangelog to
    Dpkg::Changelog::Debian (Closes: #933135).

  [ Felix Lechner ]
  * Add separate tag files for custom Lintian checks. (Closes: #934100)
    Lintian now stores tag definitions separately from checks. This commit
    does that for the custom Lintian profile used in pkg-perl-tools.
    Moves the tag definitions out of the checks into their own file
    hierarchy, which is sorted alphabetically. Also adds the check
    association to each tag definition.

  [ gregor herrmann ]
  * Update Makefile to install lintian tags.
  * Make (build) dependency on lintian versioned for the new separate
    tags/ directory.

  [ Xavier Guimard ]
  * Provide a configuration file for salsa(1)

  [ gregor herrmann ]
  * Update copyright information in various files and debian/copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Aug 2019 03:24:33 +0200

=== debian/control ===
Source: pkg-perl-tools
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>,
           Axel Beckert <abe@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Salvatore Bonaccorso <carnil@debian.org>,
           Niko Tyni <ntyni@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: git <!nocheck>,
                     libconfig-model-perl <!nocheck>,
                     libdatetime-perl <!nocheck>,
                     libdpkg-perl <!nocheck>,
                     libfile-slurp-perl <!nocheck>,
                     libgit-repository-perl <!nocheck>,
                     libgitlab-api-v4-perl <!nocheck>,
                     libipc-run-perl <!nocheck>,
                     libjson-xs-perl <!nocheck>,
                     libmime-lite-perl <!nocheck>,
                     libnet-github-perl <!nocheck>,
                     libparallel-forkmanager-perl <!nocheck>,
                     libproc-invokeeditor-perl <!nocheck>,
                     librt-client-rest-perl <!nocheck>,
                     libsoap-lite-perl <!nocheck>,
                     libtest-differences-perl <!nocheck>,
                     libtest-exception-perl <!nocheck>,
                     libtest-mockmodule-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtest-spelling-perl <!nocheck>,
                     libutf8-all-perl <!nocheck>,
                     libwww-mechanize-perl <!nocheck>,
                     libyaml-libyaml-perl <!nocheck>,
                     lintian (>= 2.17.0~) <!nocheck>,
                     perl,
                     spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
Rules-Requires-Root: no

Package: pkg-perl-tools
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         curl,
         debhelper,
         devscripts,
         dh-make-perl,
         git,
         git-buildpackage,
         libdatetime-perl,
         libdpkg-perl,
         libgit-repository-perl,
         libgitlab-api-v4-perl,
         libipc-run-perl,
         libjson-xs-perl,
         libproc-invokeeditor-perl,
         librt-client-rest-perl,
         libtry-tiny-perl,
         libutf8-all-perl,
         lintian (>= 2.17.0~),
         openssh-client | ssh-client,
         pristine-tar,
         quilt
Recommends: autodep8,
            autopkgtest,
            libconfig-model-dpkg-perl,
            libconfig-model-perl,
            libdebian-copyright-perl,
            libfile-slurp-perl,
            libmime-lite-perl,
            libmodule-inspector-perl,
            libnet-github-perl,
            libparallel-forkmanager-perl,
            libsoap-lite-perl,
            libterm-readline-gnu-perl,
            libwww-mechanize-perl,
            libyaml-libyaml-perl,
            myrepos | mr,
            sensible-utils
Suggests: bc,
          cdbs,
          duck,
          moreutils,
          perl-depends,
          python3,
          python3-launchpadlib
Enhances: lintian
Description: collection of tools to aid packaging Perl modules in Debian
 The Debian Perl Group works on packaging Perl modules for Debian. This
 collection contains the tools which help the group with day-to-day work, like
 filing ITPs, forwarding bugs and patches upstream, taking over a package for
 the group, maintaining proper git repository structure and so on.
 .
 Additionally it depends on, recommends or suggests separately
 packaged tools the Debian Perl Group uses.
 .
 It also includes some Debian Perl Group specific lintian checks. Add
 "LINTIAN_PROFILE=pkg-perl" to your ~/.lintianrc to use them after
 installing this package.

Package: pkg-perl-autopkgtest
Architecture: all
Depends: ${misc:Depends},
         perl
Provides: pkg-perl-autopkgtest-heavy
Description: collection of autopktest scripts for Perl packages
 This package contains test runners to be used with the autopkgtest
 infrastructure for perl packages.
 .
 Packages using the tests with autopkgtests in this package need to
 depend on it in their debian/tests/control file, not in their
 debian/control file, or can simply set "Testsuite: autopkgtest-pkg-perl"
 in debian/control.
 .
 Cf. https://perl-team.pages.debian.net/autopkgtest.html for information on
 the tests and how to tweak them.

## pkg-perl-tools 0.57

=== debian/changelog ===
pkg-perl-tools (0.57) unstable; urgency=medium

  [ gregor herrmann ]
  * Revert "Update lintian override." in last upload.
    Lintian's change of override handling was a quickly fixed bug.
  * examples/mass-commit: add '-o ci.skip' to the recommended push
    command.

  [ Felix Lechner ]
  * Use new Lintian interface in checks.

  [ gregor herrmann ]
  * Change versioned dependency on lintian to 2.29.0 for the updated
    checks.
  * autopkgtest: make messages of smoke test more verbose.

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Dec 2019 18:56:20 +0100

pkg-perl-tools (0.56) unstable; urgency=medium

  [ Xavier Guimard ]
  * autopkgtest: use.t: return 77 if no module found
  * autopkgtest: warn and exit if a smoke-files is missing

  [ intrigeri ]
  * dpt new-upstream:
    - make the contents of the ignore-version category more accurate.
      Don't classify a package in the "ignore-version" category if the
      ignored version is lower than the current upstream one.
    - optimize by short-circuiting earlier when there's no new upstream
      release.
      This avoids having to parse every line of the changelog entry when we
      already know we will ignore whatever such processing might yield.

  [ gregor herrmann ]
  * dpt-takeover: drop ancient git-import-dscs alternative.
  * examples/check-build:
    - autopkgtest: handle more return values and change warning messages
    - write newline between read() and commands
    - add more notifications
  * examples/buildpackage-pdebuild: add new options.
  * Add new example script `u' like "upload" (wrapper around dgit(1) and
    dpt-push (1)).
  * Update lintian override.
  * Declare compliance with Debian Policy 4.4.1.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Nov 2019 02:26:16 +0100

pkg-perl-tools (0.55) unstable; urgency=medium

  [ Xavier Guimard ]
  * Return a 77 code for skipped tests
  * Add tags "superficial" (except smoke) and "skippable" (all tests) in
    "Restrictions:" field (Closes: #922264)

  [ gregor herrmann ]
  * examples/buildpackage-pdebuild:
    - unset exported variables to avoid leaking them into e.g. autopkgtest
      after the actual build
    - use pbuilders --binary-{arch,indep} for -b/-a options

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Sep 2019 17:44:35 +0200

pkg-perl-tools (0.54) unstable; urgency=medium

  [ Aniol Marti ]
  * dpt-forward: new feature: allow protocol selection using
    DPT_GITHUB_PROTOCOL

  [ Clément Hermann ]
  * dpt gen-itp: encode Maintainer name in From: properly

  [ gregor herrmann ]
  * dpt-debian-upstream: stop adding Name and Contact fields to
    debian/upstream/metadata.
    These fields are deprecated, as they duplicate information from
    debian/copyright.

  [ Alex Muntada ]
  * dpt-forward: add explanation about DPT_GITHUB_ORGNAME. (Closes: #933804)

  [ gregor herrmann ]
  * dpt-ci-failures: filter out failures with other triggers than the
    package or migrations.
  * dpt-debian-upstream: rewrite gitlab.com URLs to HTTPS as well like we
    do for GitHub.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Sep 2019 17:32:41 +0200

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
                      libutf8-all-perl <!nocheck>,
                      libwww-mechanize-perl <!nocheck>,
                      libyaml-libyaml-perl <!nocheck>,
-                     lintian (>= 2.17.0~) <!nocheck>,
+                     lintian (>= 2.29.0~) <!nocheck>,
                      perl,
                      spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
@@ -61,7 +61,7 @@
          librt-client-rest-perl,
          libtry-tiny-perl,
          libutf8-all-perl,
-         lintian (>= 2.17.0~),
+         lintian (>= 2.29.0~),
          openssh-client | ssh-client,
          pristine-tar,
          quilt
@@ -105,6 +105,7 @@
 Package: pkg-perl-autopkgtest
 Architecture: all
 Depends: ${misc:Depends},
+         autodep8 (>= 0.19~),
          perl
 Provides: pkg-perl-autopkgtest-heavy
 Description: collection of autopktest scripts for Perl packages

## pkg-perl-tools 0.59

=== Makefile ===
#!/usr/bin/make
# vim: noet ft=make


.PHONY: all
all:

PREFIX = usr
SCRIPTS := $(filter-out lib,$(notdir $(wildcard scripts/*)))
SCRIPT_LIBS := $(notdir $(wildcard scripts/lib/*))
BINS := $(notdir $(wildcard bin/*))
BIN_MANUALS := $(addsuffix .1,$(BINS))
LIBS := $(notdir $(wildcard lib/Debian/PkgPerl/*))
# Using // instead of :: is a hack to find dependencies later
LIB_MANUALS := $(addprefix Debian//PkgPerl//,$(patsubst %.pm,%.3pm,$(LIBS)))
CONF_MANUALS := $(patsubst %.pod,%,$(notdir $(wildcard man5/*)))
LINTIAN_CHECKS := $(notdir $(wildcard lintian/checks/pkg-perl/*))
LINTIAN_PROFILES := $(notdir $(wildcard lintian/profiles/pkg-perl/*))
LINTIAN_TAGS := $(notdir $(wildcard lintian/tags/pkg-perl/*))
AUTOPKGTEST_SCRIPTS := $(notdir $(wildcard autopkgtest/scripts/runner))
AUTOPKGTEST_SCRIPTS_BUILDDEPS := $(notdir $(wildcard autopkgtest/scripts/build-deps.d/*))
AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps.d/*))
AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS := $(notdir $(wildcard autopkgtest/scripts/runtime-deps-and-recommends.d/*))
AUTOPKGTEST_SCRIPTS_HEAVYDEPS := $(notdir $(wildcard autopkgtest/scripts/heavy-deps.d/*))
ZSH_COMPLETIONS := $(notdir $(wildcard shell/zsh/*))
VERSION := $(shell dpkg-parsechangelog --show-field Version)

MAN_DIR := $(PREFIX)/share/man/man1
MAN3_DIR := $(PREFIX)/share/man/man3
MAN5_DIR := $(PREFIX)/share/man/man5

INSTALLED_SCRIPTS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/,$(SCRIPTS))
INSTALLED_SCRIPT_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,$(filter-out posix-lib.sh,$(SCRIPTS))))
INSTALLED_SCRIPT_ALIAS_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/dpt-,$(addsuffix .1,co))
INSTALLED_SCRIPT_LIBS := $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/,$(SCRIPT_LIBS))
INSTALLED_BINS := $(addprefix $(DESTDIR)/$(PREFIX)/bin/,$(BINS))
INSTALLED_BIN_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/,$(BIN_MANUALS))
INSTALLED_LIBS := $(addprefix $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl/,$(LIBS))
INSTALLED_LIB_MANUALS := $(addprefix $(DESTDIR)/$(MAN3_DIR)/,$(LIB_MANUALS))
INSTALLED_LINTIAN_CHECKS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/, $(LINTIAN_CHECKS))
INSTALLED_LINTIAN_PROFILES := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/, $(LINTIAN_PROFILES))
INSTALLED_LINTIAN_TAGS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/tags/pkg-perl/, $(LINTIAN_TAGS))
INSTALLED_AUTOPKGTEST_SCRIPTS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/, $(AUTOPKGTEST_SCRIPTS))
INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d/, $(AUTOPKGTEST_SCRIPTS_BUILDDEPS))
INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS))
INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/, $(AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS))
INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/, $(AUTOPKGTEST_SCRIPTS_HEAVYDEPS))
INSTALLED_ZSH_COMPLETIONS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions/, $(ZSH_COMPLETIONS))
INSTALLED_CONF_MANUALS := $(addprefix $(DESTDIR)/$(MAN5_DIR)/,$(addsuffix .5,$(CONF_MANUALS)))

INSTALL := install -D -m 0644
INSTALL_BIN := install -D -m 0755
POD2MAN := pod2man --release="pkg-perl-tools $(VERSION)" -c "Debian Perl packaging Tools"

.PHONY: install
install: $(INSTALLED_SCRIPTS) $(INSTALLED_SCRIPT_MANUALS) \
    $(INSTALLED_SCRIPT_ALIAS_MANUALS) \
    $(INSTALLED_SCRIPT_LIBS) \
    $(INSTALLED_BINS) $(INSTALLED_BIN_MANUALS) \
    $(INSTALLED_LIBS) $(INSTALLED_LIB_MANUALS) \
    $(INSTALLED_CONF_MANUALS) \
    $(INSTALLED_LINTIAN_CHECKS) $(INSTALLED_LINTIAN_PROFILES) $(INSTALLED_LINTIAN_TAGS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) \
    $(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS) \
    $(INSTALLED_ZSH_COMPLETIONS)

$(DESTDIR)/$(MAN_DIR) \
$(DESTDIR)/$(MAN3_DIR) \
$(DESTDIR)/$(MAN5_DIR) \
$(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib \
$(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl \
$(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl \
$(DESTDIR)/$(PREFIX)/share/lintian/tags/pkg-perl \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d \
$(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d \
$(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions :
	$(INSTALL) -d -m 0755 $@

$(INSTALLED_SCRIPTS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/% : scripts/%
	$(INSTALL_BIN) $< $@

$(DESTDIR)/$(MAN_DIR)/dpt-co.1: $(DESTDIR)/$(MAN_DIR)/dpt-checkout.1
	ln -s dpt-checkout.1 $@

$(INSTALLED_SCRIPT_MANUALS) : $(DESTDIR)/$(MAN_DIR)/dpt-%.1 : scripts/% $(DESTDIR)/$(MAN_DIR)
	$(POD2MAN) -n "dpt-$*" $< > $@

$(INSTALLED_SCRIPT_LIBS): $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib/% : scripts/lib/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib
	$(INSTALL) $< $@

$(INSTALLED_BINS) : $(DESTDIR)/$(PREFIX)/bin/% : bin/%
	$(INSTALL_BIN) $< $@
	sed -i 's,DPT__SCRIPTS=scripts # REPLACED.*,DPT__SCRIPTS="/$(PREFIX)/share/pkg-perl-tools",' $@

$(INSTALLED_BIN_MANUALS) : $(DESTDIR)/$(MAN_DIR)/%.1 : bin/% $(DESTDIR)/$(MAN_DIR)
	$(POD2MAN) -n "$*" $< > $@

$(INSTALLED_LIBS) : $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl/% : lib/Debian/PkgPerl/% $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl
	$(INSTALL_BIN) $< $@

# Using // instead of :: helps finding the original .pm file
.PHONY: $(INSTALLED_LIB_MANUALS)
$(INSTALLED_LIB_MANUALS) : $(DESTDIR)/$(MAN3_DIR)/%.3pm : lib/%.pm $(DESTDIR)/$(MAN3_DIR)
	$(POD2MAN) -n "$(subst //,::,$*)" -s 3pm $< > $(subst //,::,$@)

$(INSTALLED_LINTIAN_CHECKS) : $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/% : lintian/checks/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_LINTIAN_PROFILES) : $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/% : lintian/profiles/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_LINTIAN_TAGS) : $(DESTDIR)/$(PREFIX)/share/lintian/tags/pkg-perl/% : lintian/tags/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/tags/pkg-perl
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/% : autopkgtest/scripts/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_BUILDDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d/% : autopkgtest/scripts/build-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/build-deps.d
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d/% : autopkgtest/scripts/runtime-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps.d
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_RUNTIMEDEPSRECOMMENDS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d/% : autopkgtest/scripts/runtime-deps-and-recommends.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/runtime-deps-and-recommends.d
	$(INSTALL) $< $@

$(INSTALLED_AUTOPKGTEST_SCRIPTS_HEAVYDEPS) : $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d/% : autopkgtest/scripts/heavy-deps.d/% $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/heavy-deps.d
	$(INSTALL) $< $@

$(INSTALLED_ZSH_COMPLETIONS) : $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions/% : shell/zsh/% $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions
	$(INSTALL) $< $@

$(INSTALLED_CONF_MANUALS) : $(DESTDIR)/$(MAN5_DIR)/%.5 : man5/%.pod $(DESTDIR)/$(MAN5_DIR)
	$(POD2MAN) -n "$*" --section 5 $< > $@

.PHONY: clean
clean:

test:
	for f in `find bin scripts -maxdepth 1 -type f`; do \
	    if head -1 $$f | grep -q bin/perl; then \
		perl -Ilib -c $$f || exit 1; \
	    elif head -1 $$f |grep -q python; then \
		echo "python script $$f not checked"; \
	    elif head -1 $$f |grep -q bash; then \
		bash -n $$f && echo "$$f bash script OK" || exit 1; \
	    else \
		sh -n $$f && echo "$$f shell script OK" || exit 1; \
	    fi \
	done
	for f in `find . -name '*.pm' -type f`; do \
	    perl -Ilib -c $$f || exit 1; \
	done
	prove -l --verbose --recurse t/
	-prove -l --verbose --recurse --ext .st t/

=== debian/changelog ===
pkg-perl-tools (0.59) unstable; urgency=medium

  * Update the legacy-vendorarch-directory lintian check.
    This is a 'binary' check but the code was looking in the source package.
    Let's check for files instead.
    Thanks to Felix Lechner for pointing out the potential problem.
  * Update lintian tag description files to lintian 2.58.0.
    Remove Certainty field, and update Severity to the new values.
    (Closes: #954331)
  * Bump versioned (build) dependency on lintian.
  * Update copyright years.
  * Declare compliance with Debian Policy 4.5.0.
  * Wrap long lines in changelog entry 0.25.

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Mar 2020 15:20:01 +0100

pkg-perl-tools (0.58) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-new-upstream: change the handling of the 'problems' category.
    Only put a package into this category if the version in git is >= the new
    upstream version. Otherwise we might miss new upstream releases which fix
    what we have noted as a problem.
  * dpt-new-upstream: mangle upstream versions with '_'.
    Dpkg::Version's version_compare_relation chokes on invalid versions like
    1.22_90, so we change '_' to a '+' and back later.
  * dpt-debian-upstream: rewrite bitbucket.org URLs to HTTPS as well like
    we do for other services.
  * dpt-salsa: fix warning message when libparallel-forkmanager-perl is
    not installed. Thanks to CSILLAG Tamas for noticing.
  * dpt-salsa: warn about potentially misconfigured repositories.
    The configurerepo() sub sets a tag named 'dpt-salsa-configured', and the
    mrconfig() sub checks for existence of this tag, and outputs the list of
    repositories without it at the end.

  [ Felix Lechner ]
  * Use Lintian's new file index interface in Lintian checks.
    The file lookup functions were updated. The old interface is obsolete.
    Replaces $processable->index with $processable->patched->lookup in
    the checks that ship with this package.

  [ gregor herrmann ]
  * Bump versioned dependency on lintian after the changes in the included
    tests.
  * Add a lintian override for manpage-without-executable tags.
    We have dpt-foo(1) manpages for "dpt foo" subcommands.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Feb 2020 11:31:08 +0100

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
                      libutf8-all-perl <!nocheck>,
                      libwww-mechanize-perl <!nocheck>,
                      libyaml-libyaml-perl <!nocheck>,
-                     lintian (>= 2.29.0~) <!nocheck>,
+                     lintian (>= 2.58.0~) <!nocheck>,
                      perl,
                      spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
@@ -61,7 +61,7 @@
          librt-client-rest-perl,
          libtry-tiny-perl,
          libutf8-all-perl,
-         lintian (>= 2.29.0~),
+         lintian (>= 2.58.0~),
          openssh-client | ssh-client,
          pristine-tar,
          quilt

## pkg-perl-tools 0.62

=== debian/changelog ===
pkg-perl-tools (0.62) unstable; urgency=medium

  * dpt-new-upstream: add QUESTION to the list of keywords to check for in
    debian/changelog entries for classifying a package into the "problem"
    category.
  * Remove lintian checks which have been incorporated into lintian
    proper.
  * Bump versioned (build) dependency on lintian to 2.84.0.
    This is the first version which includes the pkg-perl checks.
  * Add a new lintian check/tag: debian-changelog-contains-hint.
    Check for leftover internal notes in debian/changelog.
  * Update debian/copyright section about "Files: lintian/*".
  * README.lintian: update pointers in documentation about writing checks.

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Jul 2020 17:31:27 +0200

pkg-perl-tools (0.61) unstable; urgency=medium

  [ intrigeri ]
  * Quote literal '.' in regexps

  [ gregor herrmann ]
  * dpt-salsa: run configurerepo() at the end of fromattic().
    The default config might have changed after a package has been moved to
    the attic, so re-configure it when moving it back.
  * Update documentation about enabling the pkg-perl lintian profile.
    lintian has changed its profile handling in 2.79.0.
  * dpt-import-orig: rewrite changelog update after import.
    Use gbp-import-orig's --postimport feature, which knows about the new
    upstream version and Debian version, to call debchange instead of
    calculating the new Debian version ourselves, dealing with epochs and (not
    yet) with suffixes.
  * dpt-new-upstream: handle WAITS-FOR without a version.

  [ Felix Lechner ]
  * Remove Lintian check descriptions; they are obsolete.
    Lintian now looks at a check's entry points to derive that information.
  * Adapt Lintian checks to case-sensitive Deb822 parser.
    The deb822 format allows for flexible capitalization, but the parser was
    recently modified to capture the literal field names.

  [ gregor herrmann ]
  * Update examples/u (uploading helper): add distribution to commit
    message.
  * Bump debhelper-compat to 13.
  * Update lintian overrides (renamed tags, changed capitalization).

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Jul 2020 00:28:45 +0200

pkg-perl-tools (0.60) unstable; urgency=medium

  * autopkgtests: use.t: check for $ENV{'AUTOPKGTEST_TMP'} only once.
    The duplication was introduced by replacing the old ADTTMP variable
    with AUTOPKGTEST_TMP.
  * dpt-new-upstream: improve WAITS-FOR handling.
    Check against madison if the waited-for package exists (at the
    required version).
  * dpt-salsa: change IRC channel for KGB notifications to
    #debian-perl-changes.
  * dpt-ci-failures: sort by package name.
  * Fix a typo in examples/pbuilder-hooks/E10cleanup.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 May 2020 16:33:25 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Section: devel
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: git <!nocheck>,
                      libconfig-model-perl <!nocheck>,
                      libdatetime-perl <!nocheck>,
@@ -32,7 +32,7 @@
                      libutf8-all-perl <!nocheck>,
                      libwww-mechanize-perl <!nocheck>,
                      libyaml-libyaml-perl <!nocheck>,
-                     lintian (>= 2.58.0~) <!nocheck>,
+                     lintian (>= 2.84.0~) <!nocheck>,
                      perl,
                      spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
 Standards-Version: 4.5.0
@@ -61,7 +61,7 @@
          librt-client-rest-perl,
          libtry-tiny-perl,
          libutf8-all-perl,
-         lintian (>= 2.58.0~),
+         lintian (>= 2.84.0~),
          openssh-client | ssh-client,
          pristine-tar,
          quilt
@@ -99,8 +99,8 @@
  packaged tools the Debian Perl Group uses.
  .
  It also includes some Debian Perl Group specific lintian checks. Add
- "LINTIAN_PROFILE=pkg-perl" to your ~/.lintianrc to use them after
- installing this package.
+ "profile=pkg-perl" ("LINTIAN_PROFILE=pkg-perl" for lintian versions before
+ 2.79.0) to your ~/.lintianrc to use them after installing this package.
 
 Package: pkg-perl-autopkgtest
 Architecture: all

## pkg-perl-tools 0.63

=== debian/changelog ===
pkg-perl-tools (0.63) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Add the names of the shipped tools to the package description, to
    help discoverability.

  [ intrigeri ]
  * examples/check-build: add support for running autopkgtests in LXC

  [ gregor herrmann ]
  * examples/check-build: disable fileordering variation for reprotest.

  [ Felix Lechner ]
  * Change file extension for Lintian tag; rename Info field to
    Explanation. Mirrors changes in the Lintian code base.

  [ gregor herrmann ]
  * Bump versioned (build) dependency on lintian.
  * Add lintian-brush to Suggests.
  * lintian checks: emit debian-changelog-contains-hint only if
    distribution is not UNRELEASED.
  * Update autopkgtest/examples/default-tests-control.
  * Update copyright years.
  * Remove duplicate entry in debian/copyright. Thanks to lintian.
  * Add lintian override for new false positive source-contains-patch-
    failure-file tag.
  * Declare compliance with Debian Policy 4.5.1.

  * dpt-missing-upstream:
    - use HTTPS for snapshot.debian.org
    - pass --allow-unrelated-histories to `git merge', when merging the
      upstream branch into master at the end.
      Otherwise Git fails since 2.9 when the upstream branch has been newly
      created.
  * dpt-import-orig:
    - when checking upstream Git tags, also look for _$UVERSION.
      This matches the not unpopular RELEASE_1.23 pattern.
    - add some filter options to gbp-import-orig call.
      Filter out '.gitignore', 'debian/*', '.git/*', '.git' from upstream
      tarballs.
  * dpt-ci-failures:
    - error out if downloaded file is empty
    - catch wget failures
  * dpt-debian-upstream:
    - add fixes for GitHub
    - fix URLs for Bug-Submit field as well
  * New script: dpt-missing-upload.
    Downloads and imports package versions uploaded outside of Git, e.g. NMUs.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Jan 2021 02:09:03 +0100

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
                      libutf8-all-perl <!nocheck>,
                      libwww-mechanize-perl <!nocheck>,
                      libyaml-libyaml-perl <!nocheck>,
-                     lintian (>= 2.84.0~) <!nocheck>,
+                     lintian (>= 2.92.0~) <!nocheck>,
                      perl,
                      spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
@@ -61,7 +61,7 @@
          librt-client-rest-perl,
          libtry-tiny-perl,
          libutf8-all-perl,
-         lintian (>= 2.84.0~),
+         lintian (>= 2.92.0~),
          openssh-client | ssh-client,
          pristine-tar,
          quilt
@@ -84,6 +84,7 @@
 Suggests: bc,
           cdbs,
           duck,
+          lintian-brush,
           moreutils,
           perl-depends,
           python3,
@@ -93,7 +94,8 @@
  The Debian Perl Group works on packaging Perl modules for Debian. This
  collection contains the tools which help the group with day-to-day work, like
  filing ITPs, forwarding bugs and patches upstream, taking over a package for
- the group, maintaining proper git repository structure and so on.
+ the group, maintaining proper git repository structure and so on. These
+ include dpt, bts-retitle, patchedit, and pristine-orig.
  .
  Additionally it depends on, recommends or suggests separately
  packaged tools the Debian Perl Group uses.

## pkg-perl-tools 0.64

=== debian/changelog ===
pkg-perl-tools (0.64) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-salsa: add parameters to KGB webhook to show only successful and
    failed pipeline messages (but not pending ones).

  [ Andrius Merkys ]
  * autopktest -> autopkgtest in short description.

  [ gregor herrmann ]
  * dpt-ci-failures:
    - test some variables before using them in order to avoid warnings
    - change logic when failures are marked as NEW.
      Only annotate a CI failure as new when the package has a
      previous_status, and this previous_status is not 'fail'.
  * Update examples/u.
    Catch another dgit error, and add option to upload .buildinfo file.
  * Fix typo in dpt-missing-upload docs.
  * Update copyright years.

 -- gregor herrmann <gregoa@debian.org>  Sun, 28 Mar 2021 00:15:34 +0100

=== debian/control ===
--- 
+++ 
@@ -110,7 +110,7 @@
          autodep8 (>= 0.19~),
          perl
 Provides: pkg-perl-autopkgtest-heavy
-Description: collection of autopktest scripts for Perl packages
+Description: collection of autopkgtest scripts for Perl packages
  This package contains test runners to be used with the autopkgtest
  infrastructure for perl packages.
  .

=== debian/rules ===
#!/usr/bin/make -f
# vim: set noet ft=make
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APT=$(CURDIR)/debian/pkg-perl-autopkgtest/usr/share/pkg-perl-autopkgtest

%:
	dh $@

override_dh_clean:
	# preserve test data (*.orig)
	dh_clean -Xt/patchedit/

override_dh_auto_install:
# dh_auto_install sets INSTALL to "INSTALL=install --strip-program=true"
# which leads to
# 1) install: WARNING: ignoring --strip-program option as -s option was not specified
# 2) W: pkg-perl-tools: executable-not-elf-or-script $file
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

override_dh_fixperms:
	dh_fixperms
	chmod +x $(APT)/* $(APT)/*/*

## pkg-perl-tools 0.65

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # Using // instead of :: is a hack to find dependencies later
 LIB_MANUALS := $(addprefix Debian//PkgPerl//,$(patsubst %.pm,%.3pm,$(LIBS)))
 CONF_MANUALS := $(patsubst %.pod,%,$(notdir $(wildcard man5/*)))
-LINTIAN_CHECKS := $(notdir $(wildcard lintian/checks/pkg-perl/*))
+LINTIAN_CHECKS := $(notdir $(wildcard lintian/checks/PkgPerl/*))
 LINTIAN_PROFILES := $(notdir $(wildcard lintian/profiles/pkg-perl/*))
 LINTIAN_TAGS := $(notdir $(wildcard lintian/tags/pkg-perl/*))
 AUTOPKGTEST_SCRIPTS := $(notdir $(wildcard autopkgtest/scripts/runner))
@@ -37,7 +37,7 @@
 INSTALLED_BIN_MANUALS := $(addprefix $(DESTDIR)/$(MAN_DIR)/,$(BIN_MANUALS))
 INSTALLED_LIBS := $(addprefix $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl/,$(LIBS))
 INSTALLED_LIB_MANUALS := $(addprefix $(DESTDIR)/$(MAN3_DIR)/,$(LIB_MANUALS))
-INSTALLED_LINTIAN_CHECKS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/, $(LINTIAN_CHECKS))
+INSTALLED_LINTIAN_CHECKS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/lib/Lintian/Check/PkgPerl/, $(LINTIAN_CHECKS))
 INSTALLED_LINTIAN_PROFILES := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/, $(LINTIAN_PROFILES))
 INSTALLED_LINTIAN_TAGS := $(addprefix $(DESTDIR)/$(PREFIX)/share/lintian/tags/pkg-perl/, $(LINTIAN_TAGS))
 INSTALLED_AUTOPKGTEST_SCRIPTS:= $(addprefix $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest/, $(AUTOPKGTEST_SCRIPTS))
@@ -72,7 +72,7 @@
 $(DESTDIR)/$(MAN5_DIR) \
 $(DESTDIR)/$(PREFIX)/share/perl5/Debian/PkgPerl \
 $(DESTDIR)/$(PREFIX)/share/pkg-perl-tools/lib \
-$(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl \
+$(DESTDIR)/$(PREFIX)/share/lintian/lib/Lintian/Check/PkgPerl \
 $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl \
 $(DESTDIR)/$(PREFIX)/share/lintian/tags/pkg-perl \
 $(DESTDIR)/$(PREFIX)/share/pkg-perl-autopkgtest \
@@ -110,7 +110,7 @@
 $(INSTALLED_LIB_MANUALS) : $(DESTDIR)/$(MAN3_DIR)/%.3pm : lib/%.pm $(DESTDIR)/$(MAN3_DIR)
 	$(POD2MAN) -n "$(subst //,::,$*)" -s 3pm $< > $(subst //,::,$@)
 
-$(INSTALLED_LINTIAN_CHECKS) : $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl/% : lintian/checks/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/checks/pkg-perl
+$(INSTALLED_LINTIAN_CHECKS) : $(DESTDIR)/$(PREFIX)/share/lintian/lib/Lintian/Check/PkgPerl/% : lintian/checks/PkgPerl/% $(DESTDIR)/$(PREFIX)/share/lintian/lib/Lintian/Check/PkgPerl
 	$(INSTALL) $< $@
 
 $(INSTALLED_LINTIAN_PROFILES) : $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl/% : lintian/profiles/pkg-perl/% $(DESTDIR)/$(PREFIX)/share/lintian/profiles/pkg-perl

=== debian/changelog ===
pkg-perl-tools (0.65) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-config(5): use '.' instead of 'source' in example.
  * Update copyright years.
  * dpt-salsa: mention needed scopes for the salsa token in POD.
    Thanks to Timothy Legge for discovering this issue.

  [ Damyan Ivanov ]
  * drop usage of debianutils' `which`
    replaced with `command -v` where the full patch is sought, and with
    `command $ARG` when needed for ignoring shell functions

  [ gregor herrmann ]
  * dpt-lp-mass-subscribe: add missing line breaks in POD.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Florian Schlichting ]
  * Lintian::Check->tag() was renamed ->hint() in November 2020
  * Add a first attempt at build-deps-can-be-annotated-nocheck lintian
    check.

  [ Felix Lechner ]
  * Place Lintian checks into their proper Perl name space.

  [ gregor herrmann ]
  * Makefile: update lintian paths.
  * Bump versioned test and runtime dependency on lintian.
  * Lintian profile: use space instead of commas for Enable-Tags-From-
    Check.
  * Update copyright years for lintian/*.
  * Declare compliance with Debian Policy 4.6.0.
  * Drop unused lintian override spare-manual-page (for dpt-* subcommands).

 -- gregor herrmann <gregoa@debian.org>  Wed, 08 Sep 2021 19:25:41 +0200

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
                      libutf8-all-perl <!nocheck>,
                      libwww-mechanize-perl <!nocheck>,
                      libyaml-libyaml-perl <!nocheck>,
-                     lintian (>= 2.92.0~) <!nocheck>,
+                     lintian (>= 2.105.0~) <!nocheck>,
                      perl,
                      spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
@@ -61,7 +61,7 @@
          librt-client-rest-perl,
          libtry-tiny-perl,
          libutf8-all-perl,
-         lintian (>= 2.92.0~),
+         lintian (>= 2.105.0~),
          openssh-client | ssh-client,
          pristine-tar,
          quilt

## pkg-perl-tools 0.71

=== debian/changelog ===
pkg-perl-tools (0.71) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-lib.sh: make header underlines colored as well.

  [ Damyan Ivanov ]
  * dpt-ci-failures: a bit quieter warning about packages missing in the
    distribution.
  * dpt-missing-pristine-tar: try downloading orig.tar with 'apt-get source'
    first.
  * dpt-lib.sh:
    - colored(): short cut when NO_COLOR is set
    - extra_colored(): a variant of colored() setting also the
      background color
  * dpt-prepare: add information about CI status (via UDD)

  [ gregor herrmann ]
  * dpt-salsa:
    - check for and warn about dirty repositories in mrconfig sub-command
    - make warnings and error colored
    - add --verbose option to enable output for otherwise silent subcommands
    - add --parallel/-j option to configurerepo subcommand
  * dpt-fixup: try to enable all hardening flags for arch:any packages if none
    are set yet.
  * Refresh lintian overrides.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Jul 2022 12:09:20 +0200

pkg-perl-tools (0.70) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-lib.sh: set NO_COLOR if output is not a terminal in general, and
    remove test from colored() function, as the latter broke colors within
    colors.
  * dpt-prepare: conditionally use popcon's --verbose output if the
    installed python3-popcon is new enough.

  [ Damyan Ivanov ]
  * dpt-prepare: ask for the anykey only if there is diff to show
  * dpt salsa push-repo: fix URL for obtaining tokens

  [ gregor herrmann ]
  * bts-srcpkg: add date and last_modified fields to default output.

  [ Damyan Ivanov ]
  * typo in POD

  [ gregor herrmann ]
  * Move gitddiff function from dpt-prepare to shell library to make it
    reusable and use the function in dpt-prepare.
    Also integrate the check for a diff into the function.
  * dpt-import-orig: add headers to output, and add gitddiff call at the
    end (i.e. offer to show changes against last debian/ tag).
  * Update copyright years.
  * dpt-prepare: colorize icons in output of key package query.
  * bts-srcpkg: tabularize output.
  * Update examples/u: use dpt-lib.sh.
  * Update a lintian override.

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Jun 2022 01:45:36 +0200

pkg-perl-tools (0.69) unstable; urgency=medium

  [ gregor herrmann ]
  * Add a shell library with functions for dpt-* shell scripts.
  * Use new shell library in some dpt-* subcommands.

  [ Damyan Ivanov ]
  * utility module and a method for checking if a given build-dependency
    can be annotated with !nocheck

  [ gregor herrmann ]
  * Add new dpt subcommand dpt-prepare which helps to automate steps when
    starting to work on a package.
  * Add new dpt subcommand dpt-fixup which automatically applies some
    fixes to the packaging.
  * Add dependencies of dpt-fixup to Recommends.
  * bts-srcpkg: add -t (no title output) option.
  * Update examples/check-build.
  * Makefile: add syntax checks for python scripts.
    Also add test dependency to debian/control.

 -- gregor herrmann <gregoa@debian.org>  Fri, 27 May 2022 22:20:20 +0200

pkg-perl-tools (0.68) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix reference to sub command manpage in dpt POD/manpage.
  * dpt-upstream-repo: remove support for finding Git URLs in d/copyright.
    The support was rudimentary at best and found only git:// URLs which
    should be gone by now in the wild.
  * Update copyright years.

  [ Damyan Ivanov ]
  * fix typo in POD
  * use Debian::Upstream::Metadata::Perl from libdebian-source-perl 0.119

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Thu, 26 May 2022 10:50:15 +0200

pkg-perl-tools (0.67) unstable; urgency=medium

  * pkg-perl-autopkgtest: use.t: allow empty lines.
    (Closes: #1008939)
  * Update copyright years for autopkgtest/*.

 -- gregor herrmann <gregoa@debian.org>  Fri, 08 Apr 2022 20:18:50 +0200

pkg-perl-tools (0.66) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-ci-failures: use curl instead of wget.
  * dpt-ci-failures: sort bug numbers numerically.
  * dpt-salsa: minor POD syntax updates.
  * Update copyright years for dpt-salsa.

  [ Damyan Ivanov ]
  * add an example script for uploading a source-only no-changes rebuild:
    used after the initial upload is accepted from NEW and needed for the
    migration to testing

  [ gregor herrmann ]
  * dpt-salsa: configurerepo(): handle access_level for non-direct
    members.
    Check if a user is a member of the group before querying their access
    level. This avoids a warning about an undefined value.
    The situation happens for DDs who are not "direct" members but have access
    via the Debian group.
    Thanks to Paul Gevers for reporting the warning.
  * Add new script bts-srcpkg:
    query bugs.debian.org for bugs in a source package.
  * Add libmodule-corelist-perl to Recommends.
  * Add some lintian overrides.
  * Fix typo in examples/u.
  * Update copyright years for examples/u.
  * dpt-new-upstream: fix IGNORE-VERSION handling.
    Check if the found version to-be-ignored is actually a valid version
    before feeding it to Dpkg::Version, warn otherwise.
  * Update copyright years for dpt-new-upstream.

  [ Niko Tyni ]
  * use.t: allow multiple whitelist regexps with words and whitespace.
    There is no reason not to support multiple whitelist regular
    expressions, and documentation in autopkgtest.pod says we already do.
    Also, ignoring whitespace and limiting to just one word are
    unnecessary and potentially confusing restrictions that can be lifted.
    While at it, also allow multiple module names in use-name and improve
    the diagnostics to list any non-whitelisted output on failure.
    (Closes: #1008267)

  [ gregor herrmann ]
  * autopkgtest example: needs-recommends → @recommends@.
  * Update copyright years for autopkgtest/*.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Apr 2022 02:36:45 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Build-Depends-Indep: git <!nocheck>,
                      libconfig-model-perl <!nocheck>,
                      libdatetime-perl <!nocheck>,
+                     libdebian-source-perl (>= 0.119) <!nocheck>,
                      libdpkg-perl <!nocheck>,
                      libfile-slurp-perl <!nocheck>,
                      libgit-repository-perl <!nocheck>,
@@ -34,8 +35,9 @@
                      libyaml-libyaml-perl <!nocheck>,
                      lintian (>= 2.105.0~) <!nocheck>,
                      perl,
+                     python3-minimal <!nocheck>,
                      spell <!nocheck> | aspell <!nocheck> | ispell <!nocheck> | hunspell <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/pkg-perl-tools.git
 Homepage: https://wiki.debian.org/Teams/DebianPerlGroup
@@ -52,6 +54,7 @@
          git,
          git-buildpackage,
          libdatetime-perl,
+         libdebian-source-perl (>= 0.119),
          libdpkg-perl,
          libgit-repository-perl,
          libgitlab-api-v4-perl,
@@ -67,11 +70,14 @@
          quilt
 Recommends: autodep8,
             autopkgtest,
+            cme,
+            libarray-utils-perl,
             libconfig-model-dpkg-perl,
             libconfig-model-perl,
             libdebian-copyright-perl,
             libfile-slurp-perl,
             libmime-lite-perl,
+            libmodule-corelist-perl,
             libmodule-inspector-perl,
             libnet-github-perl,
             libparallel-forkmanager-perl,
@@ -80,6 +86,7 @@
             libwww-mechanize-perl,
             libyaml-libyaml-perl,
             myrepos | mr,
+            postgresql-client,
             sensible-utils
 Suggests: bc,
           cdbs,

## pkg-perl-tools 0.72

=== debian/changelog ===
pkg-perl-tools (0.72) unstable; urgency=medium

  [ gregor herrmann ]
  * dpt-lib.sh: change order of functions/variables.
  * examples/check-build: disable time variation for reprotest.
    While this is helpful, it fails consistently for packages with patches.
  * Update copyright years.
  * dpt-fixup: also handle unversioned debhelper dependency.
  * Update lintian override.
  * dpt-lib.sh: nicer output if there is no diff against
    the last Debian tag.

  [ Salvatore Bonaccorso ]
  * examples/buildpackage-pdebuild: Use grep -E instead of deprecated egrep
  * examples/check-build: Use egrep -E instead of deprecated egrep
  * autopkgtest: smoke: use grep -E instead of deprecated egrep
  * dpt: Use grep -E instead of deprecated egrep
  * scripts/fixup: Use grep -E instead of deprecated egrep
  * scripts/lib/posix-lib.sh: Use grep -E instead of deprecated egrep
  * packagecheck: Use grep -E instead of deprecated egrep

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 Sep 2022 18:02:44 +0200
